# -*- coding: utf-8 -*-
from item import *

# --------- S --------------
tesla_coil_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('Tesla Coil Hat','gold', True, underlined = True),
    lore = Lore([
        JPar(['Uses the friction of the fight ','to gain electrostactic potential.','\\n']),
        JPar(['Shocking','\\n'], 'gray') ]),
    rank = 's',
    stats = Stats([ Stat('hp', -2, 'armor'), Stat('armor', 3.75, 'armor'), Stat('armor_thoughness', 1, 'armor'), Stat('kills_capacity', 1, 'armor')]),
    color = 12105372,
    other = 'Enchantments:[{}]'
    )
heavy_chestplate = Armor(
    id = 'iron_chestplate',
    name = JTxt('Heavy Chestplate','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 's',
    stats = Stats([ Stat('armor', 10, 'armor'),  Stat('speed', -0.02,'armor'), Stat('attack_speed', -0.2,'armor')]),
    set = 'heavy_armor'
    )
life_leggings = Armor(
    id = 'leather_leggings',
    name = JTxt('Life Leggings','red', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 's',
    stats = Stats([ Stat('armor', -1, 'armor'), Stat('hp', 12, 'armor'),Stat('curse', 1.25, 'armor')]),
    color = 15109314,
    set = "life_armor"
    )
s = [tesla_coil_hat, heavy_chestplate, life_leggings]

# --------- A -------------
life_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('Life Hat','red', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'a',
    stats = Stats([ Stat('armor', -0.75, 'armor'), Stat('hp', 8, 'armor'),Stat('curse', 0.75, 'armor')]),
    color = 15109314,
    set = "life_armor"
    )
basic_mage_tunic = Armor(
    id = 'leather_chestplate',
    name = JTxt('Basic Mage Tunic','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 5.25, 'armor'), Stat('mana_capacity', 30, 'armor'), Stat('mana_cost', -10, 'armor')]),
    color = 10286591,
    set = 'mage_armor'
    )
lava_boots = Armor(
    id = 'leather_boots',
    name = JTxt('Lava Boots','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['Fire Trail','\\n'], 'gray') ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 2.75, 'armor'), Stat('armor_thoughness', 1, 'armor'), Stat('speed', -0.007, 'armor')]),
    custom_off = True,
    color = 14369805,
    other = 'Enchantments:[{}]'
    )
heavy_boots = Armor(
    id = 'iron_boots',
    name = JTxt('Heavy Boots','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'a',
    stats = Stats([ Stat('armor', 5, 'armor'),  Stat('speed', -0.011,'armor')]),
    set = 'heavy_armor'
    )


a = [life_hat, basic_mage_tunic, lava_boots, heavy_boots]

# --------- B --------------
basic_mage_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('Basic Mage Hat','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 2, 'armor'), Stat('mana_capacity', 20,'armor'), Stat('mana_cost', -5,'armor') ]),
    color = 10286591,
    set = 'mage_armor'
    )
passive_aggressive_shirt = Armor(
    id = 'leather_chestplate',
    name = JTxt('Passive Agressive Shirt','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['Thorns IV','\\n'], 'gray') ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 4.5, 'armor'), Stat('armor_thoughness', 1, 'armor'), Stat('curse', 1, 'armor') ]),
    color = 15868450,
    other = 'Enchantments:[{id:"minecraft:thorns",lvl:4s}]'
    )
life_chetsplate = Armor(
    id = 'leather_chestplate',
    name = JTxt('Life Chestplate','red', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', -0.5, 'armor'), Stat('hp', 6, 'armor'),Stat('curse', 0.5, 'armor')]),
    color = 15109314,
    set = "life_armor"
    )
heavy_leggings = Armor(
    id = 'iron_leggings',
    name = JTxt('Heavy Leggings','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 5.5, 'armor'), Stat('hp', -1, 'armor'),  Stat('speed', -0.012,'armor')]),
    set = 'heavy_armor'
    )
seven_league_boots = Armor(
    id = 'leather_boots',
    name = JTxt('Seven League Boots','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'b',
    stats = Stats([ Stat('armor', 2.5, 'armor'), Stat('speed', 0.025,'armor')]),
    color = 5432141,
    bought = True
    )


b = [basic_mage_hat, passive_aggressive_shirt, life_chetsplate, heavy_leggings, seven_league_boots ]

# --------- C --------------
heavy_hemlet = Armor(
    id = 'iron_helmet',
    name = JTxt('Heavy Helmet','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'c',
    stats = Stats([ Stat('armor', 3.75, 'armor'), Stat('armor_thoughness', 0.5, 'armor'),  Stat('speed', -0.008,'armor')]),
    set = 'heavy_armor',
    bought = True
    )
basic_mage_pants = Armor(
    id = 'leather_leggings',
    name = JTxt('Basic Mage Pants','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'c',
    stats = Stats([ Stat('armor', 3, 'armor'), Stat('mana_capacity', 20, 'armor')]),
    color = 10286591,
    set = 'mage_armor'
    )
creeper_legs = Armor(
    id = 'leather_leggings',
    name = JTxt('Creeper Legs','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']),
        JPar(['Exploding','\\n'], 'gray') ]),
    rank = 'c',
    stats = Stats([ Stat('armor', 3.5, 'armor'), Stat('curse', 0.5, 'armor')]),
    color = 40459,
    custom_on = True,
    custom_off = True,
    other = 'Enchantments:[{}]'
    )
life_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('Life Shoes','red', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'c',
    stats = Stats([ Stat('armor', -0.5, 'armor'), Stat('hp', 4, 'armor'),Stat('curse', 0.25, 'armor')]),
    color = 15109314,
    set = "life_armor"
    )

c = [heavy_hemlet, basic_mage_pants, creeper_legs, life_shoes]

# --------- D --------------
beginners_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('Beginners Hat','gold', True, underlined = True),
    lore = Lore([
        JPar(['A basic hat for your head.','\\n']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1, 'armor') ]),
    holder = False
    )
beginners_tunic = Armor(
    id = 'leather_chestplate',
    name = JTxt('Beginners Tunic','gold', True, underlined = True),
    lore = Lore([
        JPar(['Old, worn down tunic.','\\n']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 3, 'armor')]),
    holder = False
    )
beginners_pants = Armor(
    id = 'leather_leggings',
    name = JTxt('Beginners Pants','gold', True, underlined = True),
    lore = Lore([
        JPar(['Comfy trousers.','\\n']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 2, 'armor') ]),
    holder = False
    )
beginners_shoes = Armor(
    id = 'leather_boots',
    name = JTxt('Beginners Shoes','gold', True, underlined = True),
    lore = Lore([
        JPar(['Simple shoes, for a simple start.','\\n']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1, 'armor') ]),
    holder = False
    )
leprechaun_top_hat = Armor(
    id = 'leather_helmet',
    name = JTxt('Leprechaun Top Hat','dark_green', True, underlined = True),
    lore = Lore([ JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1.25, 'armor'), Stat('luck', 20, 'armor') ]),
    color = 1893963,
    bought = True
    )
cacti_armor = Armor(
    id = 'leather_chestplate',
    name = JTxt('Cacti Armor','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['Spiky, Ouch!!!','\\n']),
        JPar(['Thorns I','\\n'], 'gray') ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 3.5, 'armor') ]),
    color = 5698077,
    other = 'Enchantments:[{id:"minecraft:thorns",lvl:1s}]',
    bought = True
    )
basic_mage_boots = Armor(
    id = 'leather_boots',
    name = JTxt('Basic Mage Boots','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore. ','This is some more.','\\n']) ]),
    rank = 'd',
    stats = Stats([ Stat('armor', 1.25, 'armor'), Stat('mana_capacity', 10,'armor') ]),
    color = 10286591,
    set = 'mage_armor',
    bought = True
    )

d = [beginners_hat, beginners_tunic, beginners_pants, beginners_shoes, leprechaun_top_hat, cacti_armor, basic_mage_boots]

armor = s + a + b + c + d
